Subject: bug#28709: [PATCH 1/4] download: Remove old-Guile leftovers.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 17 Oct 2017 10:48:04 +0200

This is a followup to 36626c556ed75219bce196ac93d148f6b9af984c.

* guix/build/download.scm (http-fetch): Rename 'port-or-bv' to 'port'.
Assume (port? port) is always true, and remove other branch.
---
 guix/build/download.scm | 15 ++++++---------
 1 file changed, 6 insertions(+), 9 deletions(-)

diff --git a/guix/build/download.scm b/guix/build/download.scm
index 9490f4805..e227ae598 100644
--- a/guix/build/download.scm
+++ b/guix/build/download.scm
@@ -774,7 +774,7 @@ certificates; otherwise simply ignore them."
                                           #:timeout timeout
                                           #:verify-certificate?
                                           verify-certificate?))
-                ((resp bv-or-port)
+                ((resp port)
                  (http-get uri #:port connection #:decode-body? #f
                            #:streaming? #t
                            #:headers headers))
@@ -787,14 +787,11 @@ certificates; otherwise simply ignore them."
        (begin
          (call-with-output-file file
            (lambda (p)
-             (if (port? bv-or-port)
-                 (begin
-                   (dump-port* bv-or-port p
-                               #:buffer-size %http-receive-buffer-size
-                               #:reporter (progress-reporter/file
-                                           (uri-abbreviation uri) size))
-                   (newline))
-                 (put-bytevector p bv-or-port))))
+             (dump-port* port p
+                         #:buffer-size %http-receive-buffer-size
+                         #:reporter (progress-reporter/file
+                                     (uri-abbreviation uri) size))
+             (newline)))
          file))
       ((301                                       ; moved permanently
         302                                       ; found (redirection)
-- 
2.14.2